ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package variant
  Definition Classes
    ds
- ADAMVCFOutputFormat
- DatasetBoundGenotypeDataset
- DatasetBoundVariantContextDataset
- DatasetBoundVariantDataset
- GenotypeDataset
- ParquetUnboundGenotypeDataset
- ParquetUnboundVariantDataset
- RDDBoundGenotypeDataset
- RDDBoundVariantContextDataset
- RDDBoundVariantDataset
- VCFInFormatter
- VCFOutFormatter
- VariantContextDataset
- VariantDataset

o

org.bdgenomics.adam.ds.variant

# GenotypeDataset 

###
Companion class GenotypeDataset

#### object GenotypeDataset extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GenotypeDataset
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(ds: Dataset[Genotype], sequences: SequenceDictionary, samples: Iterable[Sample], headerLines: Seq[VCFHeaderLine]): GenotypeDataset

   Builds a GenotypeDataset from a Dataset.

   Builds a GenotypeDataset from a Dataset.

   ds

     The underlying Genotype Dataset.

   sequences

     The sequence dictionary for the genomic dataset.

   samples

     The samples for the genomic dataset.

   headerLines

     The header lines for the genomic dataset.

   returns

     A new GenotypeDataset.

5.  def apply(ds: Dataset[Genotype], references: Iterable[Reference], samples: Iterable[Sample], headerLines: Seq[VCFHeaderLine]): GenotypeDataset

   Builds a GenotypeDataset from a Dataset.

   Builds a GenotypeDataset from a Dataset.

   ds

     The underlying Genotype Dataset.

   references

     The references for the genomic dataset.

   samples

     The samples for the genomic dataset.

   headerLines

     The header lines for the genomic dataset.

   returns

     A new GenotypeDataset.

6.  def apply(ds: Dataset[Genotype]): GenotypeDataset

   Builds a GenotypeDataset from a Dataset.

   Builds a GenotypeDataset from a Dataset.

   ds

     The underlying Genotype Dataset.

   returns

     A new GenotypeDataset.

7.  def apply(rdd: RDD[Genotype], sequences: SequenceDictionary, samples: Iterable[Sample], headerLines: Seq[VCFHeaderLine] = DefaultHeaderLines.allHeaderLines): GenotypeDataset

   Builds a GenotypeDataset from an RDD.

   Builds a GenotypeDataset from an RDD.

   rdd

     The underlying Genotype RDD.

   samples

     The samples for the genomic dataset.

   headerLines

     The header lines for the genomic dataset.

   returns

     A new GenotypeDataset.

8.  def apply(rdd: RDD[Genotype], references: Iterable[Reference], samples: Iterable[Sample], headerLines: Seq[VCFHeaderLine]): GenotypeDataset

   Builds a GenotypeDataset from an RDD.

   Builds a GenotypeDataset from an RDD.

   rdd

     The underlying Genotype RDD.

   references

     The references for the genomic dataset.

   samples

     The samples for the genomic dataset.

   headerLines

     The header lines for the genomic dataset.

   returns

     A new GenotypeDataset.

9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped